Name:		rejson
Version:	2.8.4
Release:	1%{?dist}
Summary:	JSON data type for Redis

# REJSON_RELEASE=2.6.10
# git clone --depth 1 -b "v${REJSON_RELEASE}" https://github.com/RedisJSON/RedisJSON.git "RedisJSON-${REJSON_RELEASE}"
# tar -vczf RedisJSON-${REJSON_RELEASE}.tar.gz RedisJSON-${REJSON_RELEASE}

License:	RSALv2
URL:		https://redis.com/legal/rsalv2-agreement/
Source0:        RedisJSON-%{version}.tar.gz

BuildRequires:  cargo
BuildRequires:  clang 
#BuildRequires:	redis-devel
#BuildRequires:	"Development Tools"
BuildRequires:  redis
Requires:	redis

%define redis_modules_dir /usr/lib64/redis/modules/

%description
ReJSON is a Redis module that implements the JSON Data
Interchange Standard as a native data type.  It allows
storing, updating and fetching JSON values from Redis.

%prep
%setup -n RedisJSON-%{version} -q

%build
#%set_build_flags
#%make_build LD="gcc"
cargo build --release

#%check
#make PYTHON="python3" test

%install
mkdir -p %{buildroot}%{redis_modules_dir}
install -pDm755 target/release/deps/lib%{name}.so %{buildroot}%{redis_modules_dir}/lib%{name}.so

%files
%license LICENSE.txt
%doc README.md docs/*
%{redis_modules_dir}/lib%{name}.so

%changelog
* Sun Dec 25 2022 Kefah Issa <kefah.issa@gmail.com> - 2.6.2-1
- Initial package.
